Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 26547 - XFree86 dont load the drm radeon kernel
XFree86 dont load the drm radeon kernel
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-07 17:09 EST by Anvil
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-07 17:09:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anvil 2001-02-07 17:09:29 EST
Here is the copy of the mail I sent to fisher-list@redhat.com..
All is explained.. I think.

To: Nalin Dahyabhai <nalin@redhat.com>
Cc: fisher-list@redhat.com
From: anvil@amin.unice.fr
Subject: Re: telnet/rsh -l root (and also lilo..)
Date: Tue, 06 Feb 2001 02:39:13 +0100
X-Loop: fisher-list@redhat.com
List-Id:  <fisher-list.redhat.com>


Nalin wrote :
> > I got another problem : I got a ati radeon 32MO SDRAM video card and
> > it's _not_ accelerated. I load dri in XF86Config and the drm kernel
> > module is loaded, X tells me i'm accelerated but gears runs only at
> > about 40 fps and i cannot play q3. With a dri cvs version i had much
> > much more with gears and was able to play q3 at 30fps in 800x600 mode
> > with a k6-2 350
>
> What does glxinfo tell you about your X server?  Is direct rendering
> being used?

glxinfo tells dri not used.

[root@gruyere ~]# glxinfo
display: :0.0  screen:0
direct rendering: No
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context
client glx vendor string: SGI
client glx version string: 1.2
client glx extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context,
    GLX_ARB_get_proc_address
GLX extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context
OpenGL vendor string: VA Linux Systems, Inc.
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 Mesa 3.4
OpenGL extensions:
    GL_ARB_multitexture, GL_ARB_texture_cube_map, GL_ARB_tranpose_matrix,
    GL_EXT_abgr, GL_EXT_blend_color, GL_EXT_blend_func_separate,
    GL_EXT_blend_logic_op, GL_EXT_blend_minmax, GL_EXT_blend_subtract,
    GL_EXT_clip_volume_hint, GL_EXT_compiled_vertex_array, GL_EXT_histogram,
    GL_EXT_packed_pixels, GL_EXT_paletted_texture, GL_EXT_point_parameters,
    GL_EXT_polygon_offset, GL_EXT_rescale_normal,
    GL_EXT_shared_texture_palette, GL_EXT_stencil_wrap, GL_EXT_texture3D,
    GL_EXT_texture_env_add, GL_EXT_texture_env_combine, GL_EXT_texture_object,
    GL_EXT_texture_lod_bias, GL_EXT_vertex_array, GL_HP_occlusion_test,
    GL_INGR_blend_func_separate, GL_MESA_window_pos, GL_MESA_resize_buffers,
    GL_NV_texgen_reflection, GL_PGI_misc_hints, GL_SGI_color_matrix,
    GL_SGI_color_table, GL_SGIS_pixel_texture, GL_SGIS_texture_edge_clamp,
    GL_SGIX_pixel_texture
glu version: 1.1 Mesa 3.4
glu extensions:
    GL_EXT_abgr

   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
0x23 24 tc  0 24  0 r  y  .  8  8  8  0  0 16  0  0  0  0  0  0 0 None
0x24 24 tc  0 24  0 r  y  .  8  8  8  0  0 16  8 16 16 16  0  0 0 None
0x25 24 dc  0 24  0 r  y  .  8  8  8  0  0 16  0  0  0  0  0  0 0 None
0x26 24 dc  0 24  0 r  y  .  8  8  8  0  0 16  8 16 16 16  0  0 0 None

And this is easy to understand when you know that the radeon.o kernel
module is not loaded.

Here's my XF86Config.. almost without comments :

# File generated by xf86config.

Section "Module"
    Load        "dbe"  	# Double buffer extension
    SubSection  "extmod"
      Option    "omit xfree86-dga"   # don't initialise the DGA extension
    EndSubSection
    Load        "type1"
    Load        "freetype"
    Load	"Speedo"
    Load       "glx"
    Load       "dri"
EndSection

Section "Files"
    RgbPath	"/usr/X11R6/lib/X11/rgb"
    FontPath   "/usr/X11R6/lib/X11/fonts/local/"
    FontPath   "/usr/X11R6/lib/X11/fonts/misc/"
    FontPath   "/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
    FontPath   "/usr/X11R6/lib/X11/fonts/Type1/"
    FontPath   "/usr/X11R6/lib/X11/fonts/Speedo/"
    FontPath   "/usr/X11R6/lib/X11/fonts/75dpi/"
EndSection

Section "ServerFlags"
EndSection

Section "InputDevice"
    Identifier	"Keyboard1"
    Driver	"Keyboard"
    Option "AutoRepeat" "500 30"
    Option "LeftAlt"     "Meta"
    Option "XkbRules"	"xfree86"
    Option "XkbModel"	"pc104"
    Option "XkbLayout"	"us"
EndSection

Section "InputDevice"
    Identifier	"Mouse1"
    Driver	"mouse"
    Option 	"Protocol"    	"IntelliMouse"
    Option 	"Device"      	"/dev/mouse"
    Option      "ZAxisMapping" 	"4 5"
EndSection

Section "Monitor"
        Identifier "Sony"
        VendorName "Unknown"
        ModelName  "Unknown"
        HorizSync 30 - 70
        VertRefresh 50 - 120
EndSection

Section "Device"
    Identifier	"Standard VGA"
    VendorName	"Unknown"
    BoardName	"Unknown"
    Driver     "vga"
EndSection
Comment 1 Mike A. Harris 2001-02-08 06:41:20 EST
DRI is not supported on Radeon in XFree86 4.0.2.  Support was added to
the unstable development trunk of CVS about 2 weeks ago, but is not stable
enough to include in our packages.

I've changed the default config to "nodri" now.

Note You need to log in before you can comment on or make changes to this bug.